Skip to main content

August 10, 2026

· 8 min read

This release adds two new endpoints for sending customer forms and waivers, and introduces invitation_url fields across customer and membership endpoints to enable customer invitation workflows. Additionally, provider endpoints now expose registration_settings to help configure customer registration.

POST /customer_forms/{id}/send

  • endpoint added
View updated docs

GET /customer_memberships

  • added the required property results/items/shared_with/items/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships

  • added the required property shared_with/items/invitation_url to the response with the 201 status (media type: application/json)
View updated docs

POST /customer_memberships/bulk_edit_prices

  • added the required property shared_with/items/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

GET /customer_memberships/{id}

  • added the required property shared_with/items/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships/{id}/cancel

  • added the required property shared_with/items/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

GET /customers

  • added the required property results/items/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customers

  • added the required property invitation_url to the response with the 201 status (media type: application/json)
View updated docs

GET /customers/{id}

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

PATCH /customers/{id}

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

PUT /customers/{id}

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

GET /customers/{id}/account_status

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customers/{id}/add_child

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customers/{id}/change_email

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

POST /customers/{id}/change_password

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

PUT /customers/{id}/participation

  • added the required property invitation_url to the response with the 200 status (media type: application/json)
View updated docs

GET /providers

  • added the optional property results/items/registration_settings to the response with the 200 status (media type: application/json)
View updated docs

GET /providers/{id}

  • added the optional property registration_settings to the response with the 200 status (media type: application/json)
View updated docs

POST /providers/{id}/register_customer

  • added the required property customer/invitation_url to the response with the 200 status (media type: application/json)
View updated docs

GET /providers/{id}/registration_settings

  • endpoint added
View updated docs

POST /waivers/{id}/send

  • endpoint added
View updated docs